GCORE(1)

NAME
gcore - get core image of running process

SYNOPSIS
gcore [-s][-c core] pid

DESCRIPTION
gcore creates a core image of each specified process, suitable for use with adb(1). By default the core image is written to the file <pid>.core.

The options are:

-c  Write the core file to the specified file instead of <pid>.core.

-s  Stop the process while creating the core image and resume it when done. This makes sure that the core dump will be in a consistent state. The process is resumed even if it was already stopped. Of course, you can obtain the same result by manually stopping the process with kill(1).

The core image name was changed from core.<pid> to <pid>.core to prevent matching names like core.h and core.c when using programs such as find(1).

FILES
<process-id>.core    The core image.

BUGS
If gcore encounters an error while creating the core image and the -s option was used the process will remain stopped.

Swapped out processes and system processes (the swapper) may not be gcore'd.